Jump to content

Recommended Posts

Posted

I need a routine to scale the intersection of several lines.

Can someone help me?

dimension_intersection.jpg

  • Replies 41
  • Created
  • Last Reply

Top Posters In This Topic

  • alanjt

    12

  • Lee Mac

    8

  • antistar

    8

  • raed_jammal

    5

Top Posters In This Topic

Posted Images

Posted

To code:

  1. Draw a line from pick point to pick point.
  2. Select all objects with ssget crossing (using two picked points)
  3. Collect coordinates using (vlax-invoke obj 'IntersectWith with each object from ssget.
  4. Draw in dimensions with collected coordinates.

Posted

Do not really know how to do this but I will search.

Thanks for the tips.

Posted

Alan,

That's exactly what I need.

I will try to write a code that does this.

Thank you for your attention.

Posted

hi guys

did u write the code for it ?

i wish to have the code if u did it

thanks

Posted

I did, but I'm trying to give him the opportunity to code it himself. I basically gave the procedure I used.

Posted

I could use some like this too. Looks great

Posted

I'm a beginner and do not know how to work with Visual lisp.

If anyone has some code that does what I ask grateful.

Posted

The QDIM command will do (quite) the same.

 

Regards,

Posted

MSASU,

I know QDIM and unfortunately he does not like the example posted by Alan.

QDIM creates unnecessary extension lines.

Posted

For sure it will not work on slope, only orthogonal. But you may choose the location of dimension lines and extension lines can be disabled.

 

Regards,

Posted
MSASU,

I know QDIM and unfortunately he does not like the example posted by Alan.

 

Who's 'he'?

Posted

Sorry: QDIM command.

Posted
Sorry: QDIM command.

Ahh, OK. :lol:

Posted
I did, but I'm trying to give him the opportunity to code it himself. I basically gave the procedure I used.

 

ok , that so cool ALAN

but really i wan it cuz i face problem from this ,,, am not coder

i hope u gave it to us ,,, i really sufer from the dimensions

Posted
To code:

Collect coordinates using (vlax-invoke obj 'IntersectWith with each object from ssget.

 

Hello Mr.Alan

 

Would you give me the complete code of the above mentioned

code plaease ...... ???

 

Is this the following code has somehow the same example ..???

(defun c:ww (/ ent obj lay ltype col)
 (vl-load-com)
 (if (setq ent(entsel"\nSelect an entity for inspection:"))
   (progn
     (setq obj(vlax-ename->vla-object (car ent)))
     (setq lay(vla-get-layer obj)
    ltype(vla-get-linetype obj)
    cor (vla-get-color obj))))
 (foreach p(list lay ltype cor)
   (princ"\n -->")
   (princ p)
       ))

 

Many Thanks

Tharwat

Posted
Hello Mr.Alan

 

Would you give me the complete code of the above mentioned

code plaease ...... ???

 

Is this the following code has somehow the same example ..???

(defun c:ww (/ ent obj lay ltype col)
 (vl-load-com)
 (if (setq ent(entsel"\nSelect an entity for inspection:"))
   (progn
     (setq obj(vlax-ename->vla-object (car ent)))
     (setq lay(vla-get-layer obj)
       ltype(vla-get-linetype obj)
       cor (vla-get-color obj))))
 (foreach p(list lay ltype cor)
   (princ"\n -->")
   (princ p)
       ))

Many Thanks

Tharwat

The above code just displays the layer, linetype and color of selected object.

Posted

Hello Mr. Alanjt

 

Your way of giving the hint to something is really genius. And the answer to all members in this thread was already given by someone and somwhere and I also did not notice that.

 

But after deep investigation on the matter , I found it in front of my

eyes,, :shock: unfortunately.....

 

So I am so proud to be a member of this Genius Forum.

 

 

Tharwat

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...